We have created only 1 API that can do all the jobs related to geo-location details.
This is the API URL: https://ranger-api.appit.cyou/api/v1.0.4/track?ip={IP_TO_CKECK}
ip that you want to check."Unknown" in the API responseCORS is allowed to all the origins. No need to worry about `CORS issues`
anymore.curl "https://ranger-api.appit.cyou/api/v1.0.4/track?ip=8.8.4.4" -X GET
{
"ipAddress": "8.8.4.4",
"ipVersion": "IPV4",
"geoIpData": {
"countryCode": "US",
"countryName": "United States of America",
"regionName": "California",
"cityName": "Mountain View",
"latitude": 37.405991,
"longitude": -122.078514,
"zipCode": "94043",
"timeZone": "-08:00"
},
"proxyDetected": false
}
ip and the response will be for
your (the caller's) IP details.CORS is allowed to all the origins. No need to worry about `CORS issues`
anymore.curl "https://ranger-api.appit.cyou/api/v1.0.4/track" -X GET
ip and the response will be for
the DNS resolved IP's Geo-Location details.https://google.com will give error, whereas google.com will work.CORS is allowed to all the origins. No need to worry about `CORS issues`
anymore.curl "https://ranger-api.appit.cyou/api/v1.0.4/track?=google.com" -X GET
{
"ipAddress": "172.217.169.14",
"ipVersion": "IPV4",
"geoIpData": {
"countryCode": "US",
"countryName": "United States of America",
"regionName": "California",
"cityName": "Mountain View",
"latitude": 37.405991,
"longitude": -122.078514,
"zipCode": "94043",
"timeZone": "-08:00"
},
"proxyDetected": false
}
proxyDetected field will be trueproxyDetails field.curl "https://ranger-api.appit.cyou/api/v1.0.4/track?=140.227.210.163" -X GET
{
"ipAddress": "140.227.210.163",
"ipVersion": "IPV4",
"geoIpData": {
"countryCode": "JP",
"countryName": "Japan",
"regionName": "Tokyo",
"cityName": "Tokyo",
"latitude": 35.689507,
"longitude": 139.691696,
"zipCode": "105-0003",
"timeZone": "+09:00"
},
"proxyDetected": true,
"proxyDetails": {
"typeOfProxy": "PUB",
"domain": "suitepro.jp",
"typeOfIsp": "DCH",
"asId": "2514",
"as": "NTT PC Communications Inc.",
"threatType": "SPAM"
}
}
HTTP Status Code & reason will change based on the error cause.{
"errorMessage": "We're sorry that we are not able to process your request currently.",
"errorCode": "ERROR_UNABLE_TO_PROCESS",
"reason": "REFER_TABLE"
}
| Reason | HTTP Status Code |
|---|---|
| Cannot resolve domain. | 400 |
| Bad ip/domain supllied. | 400 |
| Invalid ip/domain name. If you think it's valid, please contact support team to fix it. | 400 |
| Any server specific errors. | 500 |